package org.openxma.dsl.generator;

/**
 * Default factory which creates generator instances based on property values
 * retrieved from a given GeneratorConfiguration.
 */
public class DefaultGeneratorFactory implements GeneratorFactory {

	public Generator createAndInit(GeneratorConfiguration generatorConfiguration) {
		Generator generator = null;
		String generatorClassName = generatorConfiguration.getProperty(String
				.format("%s.generator", generatorConfiguration
						.getFileExtension()));
		generator = DefaultGeneratorConfiguration
				.newInstanceOf(generatorClassName);
		if (generator != null) {
			generator.init(generatorConfiguration);
		}
		return generator;
	}

}
